Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-dev
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-dev@g.o
From: Nikos Chantziaras <realnc@...>
Subject: zlib breakage
Date: Sat, 24 Sep 2011 00:44:50 +0300
I believe something needs to be done with the zlib-1.2.5.1-r1 and -r2 
packages currently in the tree.  The maintainer of zlib pushed those 
revisions with a patch that alters macro identifiers, making Gentoo's 
zlib incompatible with upstream.  As a result, a lot of packages stopped 
building.  Bug reports for broken packages come in and then are being 
modified to fit Gentoo's zlib.

Breaking compatibility with upstream zlib also means that non-portage 
software, the ones I install with "./configure --prefix=$HOME/usr && 
make install", also won't build.

It's a mess right now and it just doesn't look right.  The bug that 
deals with it was locked from public view:

   https://bugs.gentoo.org/show_bug.cgi?id=383179

Is there a plan for this, or will we have to live with what is 
essentially an incompatible Gentoo fork of zlib?



Replies:
Re: zlib breakage
-- Mike Frysinger
Re: zlib breakage
-- Matt Turner
Re: zlib breakage
-- Andreas K. Huettel
Re: zlib breakage
-- Markos Chandras
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
last rites: games-action/dungeon
Next by thread:
Re: zlib breakage
Previous by date:
Re: euscan proof of concept (like debian's uscan)
Next by date:
Re: zlib breakage


Updated Jun 29, 2012

Summary: Archive of the gentoo-dev mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.